package com.tofly.latte_core.base;

import android.content.Context;

import java.util.List;
import java.util.Map;

import okhttp3.MultipartBody;
import okhttp3.RequestBody;

/**
 * 给继承该LattePresenterImpl 的PresenterImpl一个选择，需要可以复写
 */
public abstract class LattePresenterImpl extends BasePresenter<LatteContract.LatteView> implements LatteContract.LattePresenter {

    @Override
    public void getResultTwo(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultThree(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultFour(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultFive(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultSix(Context context, Map<String, RequestBody> files, Map<String, Object> map) {

    }

    @Override
    public void getResultSeven(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultEight(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultNine(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultTen(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultEleven(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultTwelve(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultThirteen(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultFourteen(Context context, Map<String, Object> map) {

    }

    @Override
    public void getResultFifteen(Context context, Map<String, RequestBody> files, Map<String, Object> map) {

    }
}
